Namespace: webdriver.testing
View Source

# class Assertion.DelegatingMatcher_

All implemented interfaces:
  `goog.labs.testing.Matcher`

Wraps an object literal implementing the Matcher interface. This is used to appease the Closure compiler, which will not treat an object literal as implementing an interface.

## new Assertion.DelegatingMatcher_(obj)

Parameters

obj`{describe: function(): string, matches: function(*): boolean}`

  The object literal to delegate to.

## Instance Methods

### describe()code »

Specified by: goog.labs.testing.Matcher

### matches(value)code »

Specified by: goog.labs.testing.Matcher

Parameters

value`?`